/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

var FormCDNController = function(cdn, $scope, $location, formUtils, stringUtils, locationUtils, cdnService) {

    $scope.cdn = cdn;

    $scope.falseTrue = [
        { value: false, label: 'false' },
        { value: true, label: 'true' }
    ];

    $scope.manageDNSSEC = function() {
        alert('not hooked up yet: manageDNSSEC for CDN');
    };

    $scope.manageSSL = function() {
        alert('not hooked up yet: manageSSL for cdn');
    };

    $scope.queueServerUpdates = function(cdn) {
        cdnService.queueServerUpdates(cdn.id);
    };

    $scope.clearServerUpdates = function(cdn) {
        cdnService.clearServerUpdates(cdn.id);
    };

    $scope.viewConfig = function() {
        $location.path($location.path() + '/config/changes');
    };

    $scope.viewProfiles = function() {
        $location.path($location.path() + '/profiles');
    };

    $scope.viewServers = function() {
        $location.path($location.path() + '/servers');
    };

    $scope.viewDeliveryServices = function() {
        $location.path($location.path() + '/delivery-services');
    };

    $scope.navigateToPath = locationUtils.navigateToPath;

    $scope.hasError = formUtils.hasError;

    $scope.hasPropertyError = formUtils.hasPropertyError;

};

FormCDNController.$inject = ['cdn', '$scope', '$location', 'formUtils', 'stringUtils', 'locationUtils', 'cdnService'];
module.exports = FormCDNController;
